> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post configcommandschange agreement



## OpenAPI

````yaml /api-reference/oda-config-service-1.0.0.yml post /config/commands/change-agreement
openapi: 3.0.1
info:
  title: oda-config-service
  version: 1.0.0
servers: []
security: []
paths:
  /config/commands/change-agreement:
    post:
      operationId: changeAgreement
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeAgreement.ChangeAgreementCommand'
        required: true
      responses:
        '200':
          description: changeAgreement 200 response
components:
  schemas:
    ChangeAgreement.ChangeAgreementCommand:
      required:
        - gateway
      type: object
      properties:
        gateway:
          type: string

````